Public Attributes | List of all members
_xqspi_init_t Struct Reference
Peripheral Driver » HAL Driver » XQSPI » Structures » XQSPI Configuration

XQSPI init Structure definition. More...

`#include <gr55xx_hal_xqspi.h>`

Collaboration diagram for _xqspi_init_t:
[legend]

## Public Attributes
uint32_t | work_mode
| Specifies the work mode for XQSPI. More...
uint32_t | cache_mode
| Specifies the cache mode for XIP mode. More...
uint32_t | read_cmd
| Specifies the read command for transmit in XIP mode. More...
uint32_t | baud_rate
| Specifies the serial clock speed for transmit in both XIP and QSPI mode. More...
uint32_t | clock_mode
| Specifies the Clock Mode. More...
uint32_t | cache_direct_map_en
| Specifies the XQSPI Cache work on direct map or 4-way set associative. More...
uint32_t | cache_flush
| Specifies the XQSPI Cache will be flushed or not. More...
ll_xqspi_hp_init_t | hp_init
| Specifies the XQSPI HP mode Configuration. More...

## Detailed Description

XQSPI init Structure definition.

Definition at line 102 of file gr55xx_hal_xqspi.h.

## Member Data Documentation

## ◆ baud_rate

uint32_t _xqspi_init_t::baud_rate

Specifies the serial clock speed for transmit in both XIP and QSPI mode.

This parameter can be a value of XQSPI Clock Speed

Definition at line 113 of file gr55xx_hal_xqspi.h.

## ◆ cache_direct_map_en

uint32_t _xqspi_init_t::cache_direct_map_en

Specifies the XQSPI Cache work on direct map or 4-way set associative.

This parameter can be a value of XQSPI in XIP mode.

Definition at line 119 of file gr55xx_hal_xqspi.h.

## ◆ cache_flush

uint32_t _xqspi_init_t::cache_flush

Specifies the XQSPI Cache will be flushed or not.

This parameter can be a value of XQSPI Cache flush enable.

Definition at line 122 of file gr55xx_hal_xqspi.h.

## ◆ cache_mode

uint32_t _xqspi_init_t::cache_mode

Specifies the cache mode for XIP mode.

This parameter can be a value of XQSPI Cache Mode in XIP mode

Definition at line 107 of file gr55xx_hal_xqspi.h.

## ◆ clock_mode

uint32_t _xqspi_init_t::clock_mode

Specifies the Clock Mode.

It indicates the level that clock takes between commands. This parameter can be a value of XQSPI Clock Mode

Definition at line 116 of file gr55xx_hal_xqspi.h.

## ◆ hp_init

ll_xqspi_hp_init_t _xqspi_init_t::hp_init

Specifies the XQSPI HP mode Configuration.

This structures is defined ll_xqspi_hp_init_t.

Definition at line 125 of file gr55xx_hal_xqspi.h.

## ◆ read_cmd

uint32_t _xqspi_init_t::read_cmd

Specifies the read command for transmit in XIP mode.

This parameter can be a value of XQSPI Read Command in XIP mode

Definition at line 110 of file gr55xx_hal_xqspi.h.

## ◆ work_mode

uint32_t _xqspi_init_t::work_mode

Specifies the work mode for XQSPI.

This parameter can be a value of XQSPI Work Mode

Definition at line 104 of file gr55xx_hal_xqspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_xqspi.h